Package twisted :: Package web :: Module xmlrpc :: Class Handler

[show private | hide private]
[frames | no frames]

## Class Handler

Handle a XML-RPC request and store the state for a request in progress.

Override the run() method and return result using self.result, a Deferred.

We require this class since we're not using threads, so we can't encapsulate state in a running function if we're going to have to wait for results.

For example, lets say we want to authenticate against twisted.cred, run a LDAP query and then pass its result to a database query, all as a result of a single XML-RPC command. We'd use a Handler instance to store the state of the running command.

Method Summary
| `__init__(self, resource, *args)`
| `run(self, *args)`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:24 2003 | http://epydoc.sf.net